Précédent |  | Suivant

## 2. Lancer Gimp

Le plus souvent vous lancez le Gimp en cliquant sur l'icone (si votre système est configuré pour vous en afficher une), ou en tapant gimp sur la ligne de commande. Si vous avez plusieurs versions de Gimp d'installées, vous devrez taper gimp-numéro_de_version pour lancer la dernière version. Vous pouvez, si vous le désirez, donner une liste de fichiers image dans la ligne de commande après le nom du programme, pour qu'ils soient automatiquement ouverts à l'ouverture de Gimp. On peut aussi, bien sûr, ouvrir des images une fois le programme démarré.

Dans la plupart des systèmes d'exploitation, vous pouvez faire en sorte que certain types de fichiers image soient "associés" avec Gimp et le lancent ainsi automatiquement lorsque l'icône de l'un d'entre eux est double-cliquée.

| Astuce
Si vous voulez associer certains types de fichier à Gimp, vous devriez les associer à "gimp-remote" ("gim-win-remote" sous Windows) plutôt qu'à "gimp". Le programme gimp-remote est un auxiliaire fourni avec Gimp. Si aucune instance du Gimp n'est lancé, gimp-remote lancera Gimp avec l'image en paramètre. Sinon l'image sera chargée par Gimp qui fonctionne déjà.

### Les arguments de la ligne de commande

D'habitude vous n'aurez pas besoin d'argument dans la ligne de commande de Gimp, mais voici la liste de ceux qui pourraient vous être utiles un jour ou l'autre. Elle n'est pas exhaustive ; sur les systèmes Unix vous pouvez obtenir une liste complète en lançant `man gimp` dans un terminal.

-h, --help

  Affiche la liste de toutes les options de la ligne de commande.

-v, --version

  Affiche la version de Gimp utilisée et quitte.

--verbose

  Affiche les messages de démarrage détaillés.

-d, --no-data

  Ne charge ni motifs, ni dégradés, ni palettes, ni brosses. Souvent utile dans les situations non interactives quand le temps de démarrage doit être optimisé.

--display `display`

  Utilise l'affichage spécifié du serveur X (ne fonctionne évidemment pas sous Windows)

-s, --no-splash

  N'affiche pas l'écran de démarrage.

--session `name`

  Utilise un sessionrc différent pour cette session de Gimp. Le nom de session passé en paramètre est ajouté au nom du fichier sessionrc par défaut.

-g, --gimprc `gimprc`

  Utilise un gimprc de remplacement à la place de celui par défaut. Le fichier "gimprc" contient l'enregistrement de vos préférences. Utile dans les cas où le chemin des plugins ou les spécifications de machine sont différents.

-c, --console-messages

  N'ouvre pas de boîte de dialogues pour les messages d'avertissements mais les affiche dans la fenêtre console à la place.

-b, --batch `commands`

  Exécute les commandes de manière non interactive. Les commandes sont généralement sous la forme d'un script qui peut être exécuté par l'une des extensions de script du Gimp. Quand la commande est "-", les commandes sont lues sur l'entrée standard.

Précédent | Niveau supérieur | Suivant
| Sommaire |